Subject: Re: bug#39883: 28.0.50; macOS blank frame

From: Alan Third <[email-masked]>
Date: Tue, 31 Mar 2020 18:52:37 +0200 (CEST)

On Mon, Mar 30, 2020 at 01:24:59AM +0530, Ashish SHUKLA wrote:
> 
> It seems like building with same configure flags, but outside nix causes
> issue to disappear. So, maybe it's something to do with the nix environment.

Nix used to use headers from macOS 10.10 or thereabouts, even on newer
versions of macOS. I don’t know if this is still the case. The problem
is that our compile‐time feature detection code detects the wrong
features as a result.

Could you perhaps try changing src/nsterm.h so that this:

#define NS_DRAW_TO_BUFFER 1

is always defined? You should be able to just delete or comment out
the #if and #endif.

I don’t know how easy that is for you with Nix, hopefully it’s pretty
straight forward.
-- 
Alan Third